Drupal.behaviors.jf_testBehavior = function (context) {
	//отмечаем, что наша форма будет сохраняться по AJAX
	//и указываем callback, вызываемый после успешного сабмита
	$("#-jft-form").ajaxForm(successCallback);
	//устанавливаем обработчик сабмита формы
	$("#-jft-form").submit(function () {
		//убираем старые ошибки
		$("div.messages").remove();
		//возвращаем false чтобы предотвратить обычный сабмит
		return false;
	});
}

//callback вызывается после успешного сабмита формы
function successCallback(responseText,statusText) {
	if ($(responseText).hasClass("error")) {
		//есть ошибки при валидации, показываем их в начале формы
		$("#-jft-form").prepend(responseText);
	} else {
		//выводим сообщение
		$("div.test_messages").append(responseText);
		//сбрасываем форму
		$("#-jft-form").resetForm();
	}
}
